//+------------------------------------------------------------------+
//|                                            Anchored momentum.mq4 |
//|                                                           mladen |
//+------------------------------------------------------------------+

//mod2009fxtsd based on  Anchored momentum.mq4 mladen

#property copyright "mladen"
#property link      "mladenfx@gmail.com"



                                          



#property indicator_separate_window
#property indicator_buffers    1
#property indicator_color1     Blue

#property indicator_width1     2


#property indicator_level1      0.2
#property indicator_level2     -0.2
#property indicator_levelcolor SlateGray


extern int maperiod      = 13;
extern int mamethod      = 1;
extern int maprice       = 0;

extern int mom.most.period  = 11;
extern int mom.gen.period   = 0;




double buffer1[];
double buffer2[];
double buffer3[];
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int init()
{
      IndicatorBuffers(3); 

   
   SetIndexBuffer(2,buffer1);
   SetIndexBuffer(1,buffer2);
   SetIndexBuffer(0,buffer3);


   SetIndexLabel(0,"anc.mom");



   return(0);
}
int deinit()
{
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+



int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;


   for(i=limit; i>=0; i--)
   {
    
     buffer1[i]  = iMA(NULL, 0, maperiod, 0,mamethod, maprice, i); 

      int   momindex  = mom.most.period+mom.gen.period;
      int   smashift  = -(mom.most.period-1)/2.00;
      int   smaperiod =(2.00*mom.most.period+1);


      buffer2[i]  = iMA(NULL, 0, smaperiod, smashift, MODE_SMA, maprice, i); 



      buffer3[i] = EMPTY_VALUE;
                  
      if (buffer2[i+momindex] != 0)
      buffer3[i] = 100.00 * (buffer1[i]/ buffer2[i+momindex] - 1.00);



   string momprd=" most "+mom.most.period+", gen. "+mom.gen.period;
   int indexprd =  mom.most.period+mom.gen.period;
   
   IndicatorShortName("anc.mom:  ma (" +maperiod+","+mamethod+"); mom:"+momprd+"; mom.index "+indexprd+"; ");  
 
   
  }
   
   return(0);
}


